<?php
/* 
 * Sections Configuration
 */
 if ( ! function_exists( 'bk_init_sections' ) ) {
	function bk_init_sections() {
		$sections = array(
            'fullwidth'=>esc_html__('FullWidth Section','shadowcat'), 'has-rsb' => esc_html__('Content Section', 'shadowcat')
		);
		wp_localize_script( 'shadowcat-page-builder-js', 'bk_sections', $sections );
        $modules = array(
            'main_feature' => array(
				'title' => esc_html__( 'BK Grid With Center Slider', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts in slider', 'shadowcat'),
                        'description' => esc_html__( 'Yes: Display featured posts', 'shadowcat' ),
						'field' => 'select',
						'default' => 'no',
						'options' => array(
							'yes' => esc_html__( 'Yes', 'shadowcat' ),
							'no' => esc_html__( 'No', 'shadowcat' ),
						),
					),      
                    'bg_color' => array(
						'title' => esc_html__('Background Color', 'shadowcat' ),
						'description' => esc_html__( 'Choose Background Color', 'shadowcat' ),
						'field' => 'color',
						'default' => '#f8f8f8',
					),              
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),   
            'grid_carousel' => array(
				'title' => esc_html__( 'BK Feature 1 (Grid Carousel)', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 8
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts in slider', 'shadowcat'),
                        'description' => esc_html__( 'Yes: Display featured posts', 'shadowcat' ),
						'field' => 'select',
						'default' => 'no',
						'options' => array(
							'yes' => esc_html__( 'Yes', 'shadowcat' ),
							'no' => esc_html__( 'No', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'feature_2' => array(
				'title' => esc_html__( 'BK Feature 2 (Slick Slider)', 'shadowcat' ),
				'options' => array(
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts in slider', 'shadowcat'),
                        'description' => esc_html__( 'Yes: Display featured posts', 'shadowcat' ),
						'field' => 'select',
						'default' => 'no',
						'options' => array(
							'yes' => esc_html__( 'Yes', 'shadowcat' ),
							'no' => esc_html__( 'No', 'shadowcat' ),
						),
					),            
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			), 
            'grid' => array(
				'title' => esc_html__( 'BK Grid', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 8
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts in slider', 'shadowcat'),
                        'description' => esc_html__( 'Yes: Display featured posts', 'shadowcat' ),
						'field' => 'select',
						'default' => 'no',
						'options' => array(
							'yes' => esc_html__( 'Yes', 'shadowcat' ),
							'no' => esc_html__( 'No', 'shadowcat' ),
						),
					),            
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'video_playlist' => array(
				'title' => esc_html__( 'BK Video Playlist', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 1
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
				),
			),
            'carousel' => array(
				'title' => esc_html__( 'BK Carousel', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts ( Recommend at least 4 posts ', 'shadowcat' ),
						'field' => 'number',
						'default' => 5
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'bg_color' => array(
						'title' => esc_html__('Background Color', 'shadowcat' ),
						'description' => esc_html__( 'Choose Background Color', 'shadowcat' ),
						'field' => 'color',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'row' => array(
				'title' => esc_html__( 'BK Row', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Rows', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of post rows', 'shadowcat' ),
						'field' => 'number',
						'default' => 1
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
            'hero' => array(
				'title' => esc_html__( 'BK Hero', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 6
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
            'fw_slider' => array(
				'title' => esc_html__( 'BK Fullwidth Slider', 'shadowcat' ),
				'options' => array(
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 5
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'masonry' => array(
				'title' => esc_html__( 'BK Masonry', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed', 'shadowcat' ),
						'field' => 'number',
						'default' => 3
					),
                    'ajax_load_number' => array(
						'title' => esc_html__('Ajax post', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed when click ajax load button', 'shadowcat' ),
						'field' => 'number',
						'default' => 4
					),
                    'load_more_button' => array(
						'title' => esc_html__('Load More Button', 'shadowcat' ),
                        'description' => esc_html__( 'Enable / Disable Load More Button', 'shadowcat' ),
						'field' => 'select',
						'default' => 'enable',
						'options' => array(
							'enable' => esc_html__( 'Enable', 'shadowcat' ),
							'disable' => esc_html__( 'Disable', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
            'square_grid' => array(
				'title' => esc_html__( 'BK Square Grid', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts ( Recommend at least 4 posts ', 'shadowcat' ),
						'field' => 'number',
						'default' => 5
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
            'tiny_row' => array(
				'title' => esc_html__( 'BK Tiny Row', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Rows', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of post rows', 'shadowcat' ),
						'field' => 'number',
						'default' => 1
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'custom_html' => array(
				'title' => esc_html__( 'BK Custom HTML', 'shadowcat'),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat'),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'custom_html' => array(
						'title' => esc_html__('HTML Code', 'shadowcat'),
						'description' => esc_html__( 'Put your custom HTML code here', 'shadowcat'),
						'field' => 'textarea',
						'default' => '',
					),
				),
			), 
            'shortcode' => array(
				'title' => esc_html__( 'BK Short Code', 'shadowcat'),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat'),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'shortcode' => array(
						'title' => esc_html__('Shortcode', 'shadowcat'),
						'description' => esc_html__( 'Put Shortcode here', 'shadowcat'),
						'field' => 'textarea',
						'default' => '',
					),
				),
			),  
            'ads' => array(
				'title' => esc_html__( 'BK Single Ads', 'shadowcat' ),
				'options' => array(
                    'image_url' => array(
						'title' => esc_html__('Image Url','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url' => array(
						'title' => esc_html__('Url','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					)
				),
            ),
            'two_col_ads' => array(
				'title' => esc_html__( 'BK Two Cols Ads', 'shadowcat' ),
				'options' => array(
                    'image_url1' => array(
						'title' => esc_html__('Image Url - (First Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url1' => array(
						'title' => esc_html__('Url - (First Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'image_url2' => array(
						'title' => esc_html__('Image Url - (Last Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url2' => array(
						'title' => esc_html__('Url - (Last Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					)
				),
            ),
            'three_col_ads' => array(
				'title' => esc_html__( 'BK Three Cols Ads', 'shadowcat' ),
				'options' => array(
                    'image_url1' => array(
						'title' => esc_html__('Image Url - (First Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url1' => array(
						'title' => esc_html__('Url - (First Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'image_url2' => array(
						'title' => esc_html__('Image Url - (Middle Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url2' => array(
						'title' => esc_html__('Url - (Middle Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'image_url3' => array(
						'title' => esc_html__('Image Url - (Last Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url3' => array(
						'title' => esc_html__('Url - (Last Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					)
				),
            ),
            'adsense' => array(
				'title' => esc_html__( 'BK Adsense', 'shadowcat' ),
				'options' => array(
                    'adsense_code' => array(
						'title' => esc_html__('Adsense Code','shadowcat' ),
						'description' => esc_html__( 'Put your adsense code here', 'shadowcat' ),
						'field' => 'textarea',
						'default' => '',
					),
				),
            ),
        );
		wp_localize_script( 'shadowcat-page-builder-js', 'bk_fullwidth_modules', $modules );
        $modules = array(
            'grid' => array(
				'title' => esc_html__( 'BK Grid', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts', 'shadowcat' ),
						'field' => 'number',
						'default' => 7
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'feature' => array(
						'title' => esc_html__('Display featured posts in slider', 'shadowcat'),
                        'description' => esc_html__( 'Yes: Display featured posts', 'shadowcat' ),
						'field' => 'select',
						'default' => 'no',
						'options' => array(
							'yes' => esc_html__( 'Yes', 'shadowcat' ),
							'no' => esc_html__( 'No', 'shadowcat' ),
						),
					),            
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'carousel' => array(
				'title' => esc_html__( 'BK Carousel', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts ( Recommend at least 4 posts ', 'shadowcat' ),
						'field' => 'number',
						'default' => 5
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'bg_color' => array(
						'title' => esc_html__('Background Color', 'shadowcat' ),
						'description' => esc_html__( 'Choose Background Color', 'shadowcat' ),
						'field' => 'color',
						'default' => '',
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'square_grid' => array(
				'title' => esc_html__( 'BK Square Grid', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts ( Recommend at least 4 posts ', 'shadowcat' ),
						'field' => 'number',
						'default' => 5
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
            'block_1' => array(
				'title' => esc_html__( 'BK Post Block 1', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'offset' => array(
						'title' => esc_html__('Offset for tab 1', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order for tab 1', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 1 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
            'block_2' => array(
				'title' => esc_html__( 'BK Post Block 2', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed', 'shadowcat' ),
						'field' => 'number',
						'default' => 5
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
			'masonry' => array(
				'title' => esc_html__( 'BK Masonry', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed', 'shadowcat' ),
						'field' => 'number',
						'default' => 4
					),
                    'ajax_load_number' => array(
						'title' => esc_html__('Ajax post', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed when click ajax load button', 'shadowcat' ),
						'field' => 'number',
						'default' => 4
					),
                    'load_more_button' => array(
						'title' => esc_html__('Load More Button', 'shadowcat' ),
                        'description' => esc_html__( 'Enable / Disable Load More Button', 'shadowcat' ),
						'field' => 'select',
						'default' => 'enable',
						'options' => array(
							'enable' => esc_html__( 'Enable', 'shadowcat' ),
							'disable' => esc_html__( 'Disable', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
			),
            'classic_blog' => array(
				'title' => esc_html__( 'BK Classic Blog', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed', 'shadowcat' ),
						'field' => 'number',
						'default' => 4
					),
                    'ajax_load_number' => array(
						'title' => esc_html__('Ajax post', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed when click ajax load button', 'shadowcat' ),
						'field' => 'number',
						'default' => 4
					),
                    'load_more_button' => array(
						'title' => esc_html__('Load More Button', 'shadowcat' ),
                        'description' => esc_html__( 'Enable / Disable Load More Button', 'shadowcat' ),
						'field' => 'select',
						'default' => 'enable',
						'options' => array(
							'enable' => esc_html__( 'Enable', 'shadowcat' ),
							'disable' => esc_html__( 'Disable', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
            ),
            'large_blog' => array(
				'title' => esc_html__( 'BK Large Blog', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Posts', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed', 'shadowcat' ),
						'field' => 'number',
						'default' => 4
					),
                    'ajax_load_number' => array(
						'title' => esc_html__('Ajax post', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of posts will be displayed when click ajax load button', 'shadowcat' ),
						'field' => 'number',
						'default' => 4
					),
                    'load_more_button' => array(
						'title' => esc_html__('Load More Button', 'shadowcat' ),
                        'description' => esc_html__( 'Enable / Disable Load More Button', 'shadowcat' ),
						'field' => 'select',
						'default' => 'enable',
						'options' => array(
							'enable' => esc_html__( 'Enable', 'shadowcat' ),
							'disable' => esc_html__( 'Disable', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category2' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 2 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset2' => array(
						'title' => esc_html__('Offset for tab 2', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order2' => array(
						'title' => esc_html__('Order for tab 2', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category3' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 3 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset3' => array(
						'title' => esc_html__('Offset for tab 3', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order3' => array(
						'title' => esc_html__('Order for tab 3', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category4' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 4 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset4' => array(
						'title' => esc_html__('Offset for tab 4', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order4' => array(
						'title' => esc_html__('Order for tab 4', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category5' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 5 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset5' => array(
						'title' => esc_html__('Offset for tab 5', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order5' => array(
						'title' => esc_html__('Order for tab 5', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'category6' => array(
						'title' => esc_html__('------------------------------------ Choose Category for tab 6 ------------------------------------ ', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'categorytab',
						'default' => -1,
					),
                    'offset6' => array(
						'title' => esc_html__('Offset for tab 6', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order6' => array(
						'title' => esc_html__('Order for tab 6', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
                    'tabs_amount' => array(
						'title' => esc_html__('Tabs Amount', 'shadowcat' ),
                        'description' => esc_html__( 'Add number of tabs will be used in this module', 'shadowcat' ),
						'field' => 'select',
						'default' => '1',
						'options' => array(
                            '1' => esc_html__( '1', 'shadowcat' ),
							'2' => esc_html__( '2', 'shadowcat' ),
							'3' => esc_html__( '3', 'shadowcat' ),
                            '4' => esc_html__( '4', 'shadowcat' ),
							'5' => esc_html__( '5', 'shadowcat' ),
                            '6' => esc_html__( '6', 'shadowcat' ),
						),
					),
				),
            ), 
            'tiny_row' => array(
				'title' => esc_html__( 'BK Tiny Row', 'shadowcat' ),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat' ),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'limit' => array(
						'title' => esc_html__('Number of Rows', 'shadowcat' ),
						'description' => esc_html__( 'Enter the number of post rows', 'shadowcat' ),
						'field' => 'number',
						'default' => 1
					),
                    'offset' => array(
						'title' => esc_html__('Offset', 'shadowcat' ),
						'description' => esc_html__( 'Enter the offset number', 'shadowcat' ),
						'field' => 'number',
						'default' => 0
					),
                    'order' => array(
						'title' => esc_html__('Order', 'shadowcat' ),
                        'description' => esc_html__( 'Display random posts or latest posts from categories - (IMPORTANT) IF ORDER = Random, Ajax Load More Button (If have) will be disabled', 'shadowcat' ),
						'field' => 'select',
						'default' => 'date',
						'options' => array(
							'date' => esc_html__( 'Latest', 'shadowcat' ),
							'rand' => esc_html__( 'Random', 'shadowcat' ),
						),
					),
					'category' => array(
						'title' => esc_html__('Category', 'shadowcat' ),
						'description' => esc_html__( 'Choose a post category to be shown up', 'shadowcat' ),
						'field' => 'category',
						'default' => 'All',
					),
				),
			),
            'custom_html' => array(
				'title' => esc_html__( 'BK Custom HTML', 'shadowcat'),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat'),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'custom_html' => array(
						'title' => esc_html__('HTML Code', 'shadowcat'),
						'description' => esc_html__( 'Put your custom HTML code here', 'shadowcat'),
						'field' => 'textarea',
						'default' => '',
					),
				),
			), 
            'shortcode' => array(
				'title' => esc_html__( 'BK Short Code', 'shadowcat'),
				'options' => array(
                    'title' => array(
						'title' => esc_html__('Title', 'shadowcat'),
						'description' => esc_html__( 'The Module title', 'shadowcat' ),
						'field' => 'text',
						'default' => '',
					),
                    'shortcode' => array(
						'title' => esc_html__('Shortcode', 'shadowcat'),
						'description' => esc_html__( 'Put Shortcode here', 'shadowcat'),
						'field' => 'textarea',
						'default' => '',
					),
				),
			),  
            'ads' => array(
				'title' => esc_html__( 'BK Single Ads', 'shadowcat' ),
				'options' => array(
                    'image_url' => array(
						'title' => esc_html__('Image Url','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url' => array(
						'title' => esc_html__('Url','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					)
				),
            ),
            'two_col_ads' => array(
				'title' => esc_html__( 'BK Two Cols Ads', 'shadowcat' ),
				'options' => array(
                    'image_url1' => array(
						'title' => esc_html__('Image Url - (First Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url1' => array(
						'title' => esc_html__('Url - (First Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'image_url2' => array(
						'title' => esc_html__('Image Url - (Last Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					),
                    'url2' => array(
						'title' => esc_html__('Url - (Last Column)','shadowcat' ),
						'description' => '',
						'field' => 'text',
						'default' => '',
					)
				),
            ),
            'adsense' => array(
				'title' => esc_html__( 'BK Adsense', 'shadowcat' ),
				'options' => array(
                    'adsense_code' => array(
						'title' => esc_html__('Adsense Code','shadowcat' ),
						'description' => esc_html__( 'Put your adsense code here', 'shadowcat' ),
						'field' => 'textarea',
						'default' => '',
					),
				),
            ),
        );
		wp_localize_script( 'shadowcat-page-builder-js', 'bk_has_rsb_modules', $modules );
        $modules = array(
        
        );
		wp_localize_script( 'shadowcat-page-builder-js', 'bk_has_innersb_left_modules', $modules );
        $modules = array(

        );
		wp_localize_script( 'shadowcat-page-builder-js', 'bk_has_innersb_right_modules', $modules );
	}
} 