<?php
require_once (get_template_directory().'/framework/page-builder/controller/bk_pd_template.php');
require_once (get_template_directory().'/framework/page-builder/controller/bk_pd_cfg.php');
require_once (get_template_directory().'/framework/page-builder/controller/bk_pd_save.php');
require_once (get_template_directory().'/framework/page-builder/controller/bk_pd_del.php');
require_once (get_template_directory().'/framework/page-builder/controller/render-sections.php');
require_once (get_template_directory().'/framework/page-builder/bk_pd_start.php');
require_once (get_template_directory().'/plugins/sitelinks-search-box.php');

require_once (get_template_directory().'/library/taxonomy-meta-config.php');

/**
 * Add a pingback url auto-discovery header for single posts, pages, or attachments.
 */
function shadowcat_pingback_header() {
	if ( is_singular() && pings_open() ) {
		echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
	}
}
add_action( 'wp_head', 'shadowcat_pingback_header' );

/**-------------------------------------------------------------------------------------------------------------------------
 * remove redux sample config & notice
 */
if ( ! function_exists( 'shadowcat_redux_remove_notice' ) ) {
	function shadowcat_redux_remove_notice() {
		if ( class_exists( 'ReduxFrameworkPlugin' ) ) {
			remove_action( 'admin_notices', array( ReduxFrameworkPlugin::get_instance(), 'admin_notices' ) );
		}
	}
	add_action( 'redux/loaded', 'shadowcat_redux_remove_notice' );
}
/**-------------------------------------------------------------------------------------------------------------------------
 * remove redux admin page
 */
if ( ! function_exists( 'shadowcat_remove_redux_page' ) ) {
	function shadowcat_remove_redux_page() {
		remove_submenu_page( 'tools.php', 'redux-about' );
	}
	add_action( 'admin_menu', 'shadowcat_remove_redux_page', 12 );
}

/**
 * Load the TGM Plugin Activator class to notify the user
 * to install the Envato WordPress Toolkit Plugin
 */
require_once( get_template_directory() . '/inc/class-tgm-plugin-activation.php' );
if ( ! function_exists( 'tgmpa_register_toolkit' ) ) {
    function tgmpa_register_toolkit() {
        // Specify the Envato Toolkit plugin
        $plugins = array(
            array(
                'name' => esc_html__('Classic Editor', 'shadowcat'),
                'slug' => 'classic-editor',
                'title' => esc_html__('Classic Editor', 'shadowcat'),
                'required' => true,
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('Classic Widgets', 'shadowcat'),
                'slug' => 'classic-widgets',
                'title' => esc_html__('Classic Widgets', 'shadowcat'),
                'required' => true,
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('Login With Ajax', 'shadowcat'),
                'slug' => 'login-with-ajax',
                'title' => esc_html__('Login With Ajax - Optional', 'shadowcat'),
                'required' => false,
                'version' => '3.1.6',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('Sidebar Generator', 'shadowcat'),
                'slug' => 'shadowcat-sidebar-generator',
                'title' => esc_html__('Sidebar Generator - Optional', 'shadowcat'),
                'img' => get_template_directory_uri() . '/images/plugins/sidebar-generator.jpg',
                'source' => get_template_directory() . '/plugins/shadowcat-sidebar-generator.zip',
                'required' => false,
                'version' => '3.0',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('Classic Editor', 'shadowcat'),
                'slug' => 'classic-editor',
                'title' => esc_html__('Classic Editor - Required', 'shadowcat'),
                'force_activation' => false,
                'force_deactivation' => false,
                'required' => true,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('Contact Form 7', 'shadowcat'),
                'slug' => 'contact-form-7',
                'title' => esc_html__('Contact Form 7 - Optional', 'shadowcat'),
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('BK Shortcode', 'shadowcat'),
                'slug' => 'short-code',
                'title' => esc_html__('BK Shortcode - Optional', 'shadowcat'),
                'img' => get_template_directory_uri() . '/images/plugins/shortcode.jpg',
                'source' => get_template_directory() . '/plugins/short-code.zip',
                'required' => false,
                'version' => '1.0',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('ReduxFramework', 'shadowcat'),
                'slug' => 'redux-framework',
                'required' => true,
                'version' => '',
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('Meta Box', 'shadowcat'),
                'slug' => 'meta-box',
                'required' => false,
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),   
            array(
                'name'      => esc_html__('Taxonomy Meta', 'shadowcat' ),
                'slug'      => esc_html__('taxonomy-meta', 'shadowcat' ),
                'source'    => get_template_directory() . '/plugins/taxonomy-meta.zip',
                'required' => false,
            ),
            array(
                'name' => esc_html__('Shadowcat Extend', 'shadowcat'),
                'slug' => esc_html__('shadowcat-extend', 'shadowcat'),
                'source' => get_template_directory() . '/plugins/shadowcat-extend.zip',
                'required' => false,
                'version' => '2.1',
                'external_url' => '',
            ),
            array(
                'name' => esc_html__('WPForms', 'shadowcat'),
                'slug' => 'wpforms-lite',
                'title' => esc_html__('WPForms - Optional', 'shadowcat'),
                'required' => false,
                'force_activation' => false,
                'force_deactivation' => false,
                'external_url' => '',
            ),
        );
        // i18n text domain used for translation purposes
        $theme_text_domain = 'shadowcat';
         
        // Configuration of TGM
        $config = array(
            'domain'           => 'shadowcat',
            'default_path'     => '',
            'menu'             => 'install-required-plugins',
            'has_notices'      => true,
            'is_automatic'     => true,
            'message'          => '',
            'strings'          => array(
                'page_title'                      => esc_html__( 'Install Required Plugins', 'shadowcat' ),
                'menu_title'                      => esc_html__( 'Install Plugins', 'shadowcat' ),
                'installing'                      => esc_html__( 'Installing Plugin: %s', 'shadowcat' ),
                'oops'                            => esc_html__( 'Something went wrong with the plugin API.', 'shadowcat' ),
                'notice_can_install_required'     => _n_noop( 'This theme requires the following plugin: %1$s.', 'This theme requires the following plugins: %1$s.', 'shadowcat' ),
                'notice_can_install_recommended'  => _n_noop( 'This theme recommends the following plugin: %1$s.', 'This theme recommends the following plugins: %1$s.', 'shadowcat' ),
                'notice_cannot_install'           => _n_noop( 'Sorry, but you do not have the correct permissions to install the %s plugin. Contact the administrator of this site for help on getting the plugin installed.', 'Sorry, but you do not have the correct permissions to install the %s plugins. Contact the administrator of this site for help on getting the plugins installed.', 'shadowcat' ),
                'notice_can_activate_required'    => _n_noop( 'The following required plugin is currently inactive: %1$s.', 'The following required plugins are currently inactive: %1$s.', 'shadowcat' ),
                'notice_can_activate_recommended' => _n_noop( 'The following recommended plugin is currently inactive: %1$s.', 'The following recommended plugins are currently inactive: %1$s.', 'shadowcat' ),
                'notice_cannot_activate'          => _n_noop( 'Sorry, but you do not have the correct permissions to activate the %s plugin. Contact the administrator of this site for help on getting the plugin activated.', 'Sorry, but you do not have the correct permissions to activate the %s plugins. Contact the administrator of this site for help on getting the plugins activated.', 'shadowcat' ),
                'notice_ask_to_update'            => _n_noop( 'The following plugin needs to be updated to its latest version to ensure maximum compatibility with this theme: %1$s.', 'The following plugins need to be updated to their latest version to ensure maximum compatibility with this theme: %1$s.', 'shadowcat' ),
                'notice_cannot_update'            => _n_noop( 'Sorry, but you do not have the correct permissions to update the %s plugin. Contact the administrator of this site for help on getting the plugin updated.', 'Sorry, but you do not have the correct permissions to update the %s plugins. Contact the administrator of this site for help on getting the plugins updated.', 'shadowcat' ),
                'install_link'                    => _n_noop( 'Begin installing plugin', 'Begin installing plugins', 'shadowcat' ),
                'activate_link'                   => _n_noop( 'Activate installed plugin', 'Activate installed plugins', 'shadowcat' ),
                'return'                          => esc_html__( 'Return to Required Plugins Installer', 'shadowcat' ),
                'plugin_activated'                => esc_html__( 'Plugin activated successfully.', 'shadowcat' ),
                'complete'                        => esc_html__( 'All plugins installed and activated successfully. %s', 'shadowcat' ),
                'nag_type'                        => 'updated'
            )
        );
        tgmpa( $plugins, $config );
    }
}
add_action( 'tgmpa_register', 'tgmpa_register_toolkit' );

$shadowcat_justified_ids = array();
$shadowcat_ajax_btnstr = array();
/**
 * http://codex.wordpress.org/Content_Width
 */
if ( ! isset($content_width)) {
	$content_width = 1200;
}
/**-------------------------------------------------------------------------------------------------------------------------
 * Get ajaxurl
 */
if ( ! function_exists( 'shadowcat_enqueue_ajax_url' ) ) {
	function shadowcat_enqueue_ajax_url() {
		echo '<script> var ajaxurl = "' . admin_url( 'admin-ajax.php' ) . '"</script>';
	}

	add_action( 'wp_enqueue_scripts', 'shadowcat_enqueue_ajax_url' );
}

if ( ! function_exists( 'shadowcat_scripts_method' ) ) {
    function shadowcat_scripts_method() {
        $shadowcat_option = shadowcat_core::bk_get_global_var('shadowcat_option');
        
        wp_enqueue_script('jquery-ui-widget');
        wp_enqueue_script('jquery-ui-tabs');
        wp_enqueue_script('jquery-ui-accordion');
        
        wp_enqueue_style( 'jquery-core-css', 'http://code.jquery.com/ui/1.11.4/themes/smoothness/jquery-ui.css', array(), '' );
        wp_enqueue_script( 'ui-core-js', 'http://code.jquery.com/ui/1.11.4/jquery-ui.js', '', true );
              
        if($shadowcat_option['bk-rtl-sw']) {                
            wp_enqueue_style( 'bootstrap-css', get_template_directory_uri().'/framework/bootstrap/css/bootstrap-rtl.css', array(), '' );
        }else {
            wp_enqueue_style( 'bootstrap-css', get_template_directory_uri().'/framework/bootstrap/css/bootstrap.css', array(), '' );        
        }
        wp_enqueue_style('fa', get_template_directory_uri() . '/css/fonts/awesome-fonts/css/font-awesome.min.css');
                        
        wp_enqueue_style('shadowcat-theme-plugins', get_template_directory_uri() . '/css/theme_plugins.css');

        if($shadowcat_option['bk-rtl-sw']) {
            wp_enqueue_style('shadowcat-woocommerce', get_template_directory_uri() . '/css/woocommerce_css/woocommerce_rtl.css');
            wp_enqueue_style('shadowcat-bbpress', get_template_directory_uri() . '/css/bbpress_css/bbpress_rtl.css');
            wp_enqueue_style('shadowcat-style', get_template_directory_uri() . '/css/bkrtl.css');
            wp_enqueue_style('shadowcat-responsive', get_template_directory_uri() . '/css/responsive_rtl.css');
        }else {
            wp_enqueue_style('shadowcat-woocommerce', get_template_directory_uri() . '/css/woocommerce_css/woocommerce.css');
            wp_enqueue_style('shadowcat-bbpress', get_template_directory_uri() . '/css/bbpress_css/bbpress.css');
            wp_enqueue_style('shadowcat-style', get_template_directory_uri() . '/css/bkstyle.css');
            wp_enqueue_style('shadowcat-responsive', get_template_directory_uri() . '/css/responsive.css');
        }
        
        wp_enqueue_style('shadowcat-wpstyle', get_stylesheet_uri());
                             
        wp_enqueue_script('shadowcat-theme-plugins', get_template_directory_uri() . '/js/theme_plugins.js', array('jquery'),'', true);  
        
        wp_enqueue_script( 'shadowcat-onviewport', get_template_directory_uri().'/js/onviewport.js', array( 'jquery' ), false, true );

        wp_enqueue_script('shadowcat-module-load-post', get_template_directory_uri() . '/js/module-load-post.js', array('jquery'),false,true); 
        
        wp_enqueue_script( 'shadowcat-menu', get_template_directory_uri().'/js/menu.js', array( 'jquery' ), false, true );
        
        if($shadowcat_option['bk-rtl-sw']) {
            wp_enqueue_script( 'shadowcat-customjs', get_template_directory_uri().'/js/customjs_rtl.js', array( 'jquery' ), false, true );
        }else {
            wp_enqueue_script( 'shadowcat-customjs', get_template_directory_uri().'/js/customjs.js', array( 'jquery' ), false, true );
        }
        
        if ( is_singular() ) {wp_enqueue_script('comment-reply');}
        
     }
}

add_action('wp_enqueue_scripts', 'shadowcat_scripts_method');

if ( ! function_exists( 'shadowcat_post_admin_scripts_and_styles' ) ) {
    function shadowcat_post_admin_scripts_and_styles($hook) {        
    	if( $hook == 'post.php' || $hook == 'post-new.php' ) {
            wp_enqueue_script( 'bootstrap-admin-js', get_template_directory_uri().'/framework/bootstrap-admin/bootstrap.js', array(), '', true );
            wp_enqueue_style( 'bootstrap-admin-css', get_template_directory_uri().'/framework/bootstrap-admin/bootstrap.css', array(), '' );
            wp_enqueue_style( 'jquery-core-css', 'http://code.jquery.com/ui/1.11.2/themes/smoothness/jquery-ui.css', array(), '' );
            wp_enqueue_script( 'ui-core-js', 'http://code.jquery.com/ui/1.11.2/jquery-ui.js', '', true );
            wp_register_script( 'shadowcat-post-review-admin',  get_template_directory_uri() . '/js/post-review-admin.js', array(), '', true);
            wp_enqueue_script( 'shadowcat-post-review-admin' ); // enqueue it
   		}
        wp_enqueue_script('ckeditor-js', get_template_directory_uri() . '/js/ckeditor/ckeditor.js', array('jquery'));
        
        wp_enqueue_script('bootstrap-colorpicker-js', get_template_directory_uri() . '/js/bootstrap-colorpicker.js', array('jquery')); 
        
        wp_enqueue_style('bootstrap-colorpicker-css', get_template_directory_uri() . '/css/bootstrap-colorpicker.css');
        
        wp_enqueue_style( 'shadowcat-admin-css', get_template_directory_uri().'/css/admin.css', array(), '' );
        
        add_editor_style('css/editorstyle.css');
        
        wp_enqueue_style('fa-admin', get_template_directory_uri() . '/css/fonts/awesome-fonts/css/font-awesome.min.css');
        
        wp_enqueue_style( 'rwmb-group', get_template_directory_uri() .'/framework/meta-box-group/group.css');
        
        wp_enqueue_script( 'shadowcat-autosize-js', get_template_directory_uri().'/js/jquery.autosize.min.js', array(), '', true );
        
        wp_enqueue_script( 'shadowcat-admin-js', get_template_directory_uri().'/js/admin.js', array('jquery-ui-sortable'), '', true );

        
    }
}
add_action('admin_enqueue_scripts', 'shadowcat_post_admin_scripts_and_styles');
 if ( ! function_exists( 'shadowcat_page_builder_js' ) ) {
    function shadowcat_page_builder_js($hook) {
        if( $hook == 'post.php' || $hook == 'post-new.php' ) {
            wp_enqueue_script( 'shadowcat-page-builder-js', get_template_directory_uri().'/framework/page-builder/controller/js/page-builder.js', array( 'jquery' ), null, true );
            wp_localize_script( 'shadowcat-page-builder-js', 'bkpb_ajax', array( 'ajaxurl' => admin_url( 'admin-ajax.php' ) ) );
  		}
    }
 }
 add_action('admin_enqueue_scripts', 'shadowcat_page_builder_js', 9);
/**
 * Register sidebars and widgetized areas.
 *---------------------------------------------------
 */
 if ( ! function_exists( 'shadowcat_widgets_init' ) ) {
    function shadowcat_widgets_init() {
        register_sidebar( array(
    		'name' => esc_html__('Home Sidebar 1', 'shadowcat'),
    		'id' => 'home_sidebar1',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
        register_sidebar( array(
    		'name' => esc_html__('Home Sidebar 2', 'shadowcat'),
    		'id' => 'home_sidebar2',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
        register_sidebar( array(
    		'name' => esc_html__('Page Sidebar', 'shadowcat'),
    		'id' => 'page_sidebar',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
        register_sidebar( array(
    		'name' => esc_html__('Single Sidebar', 'shadowcat'),
    		'id' => 'single_sidebar',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
        register_sidebar( array(
    		'name' => esc_html__('Default Template Sidebar', 'shadowcat'),
    		'id' => 'default_template_sidebar',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
        register_sidebar( array(
    		'name' => esc_html__('Sidebar', 'shadowcat'),
    		'id' => 'home_sidebar',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );

        register_sidebar( array(
    		'name' => esc_html__('Footer Sidebar 1', 'shadowcat'),
    		'id' => 'footer_sidebar_1',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
        
        register_sidebar( array(
    		'name' => esc_html__('Footer Sidebar 2', 'shadowcat'),
    		'id' => 'footer_sidebar_2',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
        
        register_sidebar( array(
    		'name' => esc_html__('Footer Sidebar 3', 'shadowcat'),
    		'id' => 'footer_sidebar_3',
    		'before_widget' => '<aside id="%1$s" class="widget %2$s">',
    		'after_widget' => '</aside>',
    		'before_title' => '<div class="bk-header"><div class="widget-title"><h3>',
    		'after_title' => '</h3></div></div>',
    	) );
    }
}
add_action( 'widgets_init', 'shadowcat_widgets_init' );

/**
 * Add php library file.
 */
require_once(get_template_directory()."/library/core.php");
require_once(get_template_directory()."/library/mega_menu.php");
require_once(get_template_directory()."/library/custom_css.php");
require_once(get_template_directory()."/library/translation.php");
require_once(get_template_directory()."/inc/controller.php");


shadowcat_initWpFilesystem();

if ( class_exists('bbpress') ) {
    require_once ( get_template_directory().'/framework/widgets/widget-recent-replies-bbp.php' ); 
    require_once ( get_template_directory().'/framework/widgets/widget-recent-topics-bbp.php' );
}
/**
 * Meta box
 */
require_once (get_template_directory() . '/framework/meta-box-group/meta-box-group.php');
require_once (get_template_directory() . '/library/meta_box_config.php');

//Add support tag title
add_theme_support('title-tag');

/**
 * Add support for the featured images (also known as post thumbnails).
 */
if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'post-thumbnails' );
}

add_action( 'after_setup_theme', 'shadowcat_thumbnail_setup' );
if ( ! function_exists( 'shadowcat_thumbnail_setup' ) ){

    function shadowcat_thumbnail_setup() {
        add_image_size( 'shadowcat_660_400', 660, 400, true );
        add_image_size( 'shadowcat_320_218', 320, 218, true );
        add_image_size( 'shadowcat_160_110', 160, 110, true );
        add_image_size( 'shadowcat_600_315', 600, 315, true );
        add_image_size( 'shadowcat_620_420', 620, 420, true ); 
        add_image_size( 'shadowcat_130_130', 130, 130, true );
        add_image_size( 'shadowcat_330_380', 330, 380, true );
        add_image_size( 'shadowcat_fw_slider', 1000, 485, true );
        add_image_size( 'shadowcat_auto_size', 400, 99999, false );
        add_image_size( 'shadowcat_s_feat_img', 99999, 600, false );
    }
}
/**
 * Remove standard image sizes so that these sizes are not
 * created during the Media Upload process
 */
function shadowcat_filter_image_sizes( $sizes) {
		
	unset( $sizes['thumbnail']);
	unset( $sizes['medium']);
	unset( $sizes['large']);
	
	return $sizes;
}
//add_filter('intermediate_image_sizes_advanced', 'shadowcat_filter_image_sizes');

/**
 * Post Format 
 */
 add_action('after_setup_theme', 'shadowcat_add_theme_format', 11);
function shadowcat_add_theme_format() {
    add_theme_support( 'post-formats', array( 'gallery', 'video', 'image', 'audio' ) );
}
/**
 * Add support for the featured images (also known as post thumbnails).
 */
if ( function_exists( 'add_theme_support' ) ) { 
	add_theme_support( 'post-thumbnails' );
    add_theme_support( 'automatic-feed-links' );
}
/**
 * Register menu locations
 *---------------------------------------------------
 */
if ( ! function_exists( 'shadowcat_register_menu' ) ) {
    function shadowcat_register_menu() {
        register_nav_menu('main-menu',esc_html__( 'Main Menu', 'shadowcat' ));
        register_nav_menu('menu-top',esc_html__( 'Top Menu', 'shadowcat' ));
        register_nav_menu('menu-footer',esc_html__( 'Footer Menu', 'shadowcat' )); 
    }
}
add_action( 'init', 'shadowcat_register_menu' );

function shadowcat_category_nav_class( $classes, $item ){
    if( 'category' == $item->object ){
        $classes[] = 'menu-category-' . $item->object_id;
    }
    return $classes;
}
add_filter( 'nav_menu_css_class', 'shadowcat_category_nav_class', 10, 2 );

function shadowcat_custom_excerpt_length( $length ) {
	return 100;
}
add_filter( 'excerpt_length', 'shadowcat_custom_excerpt_length', 999 );

/**
 * ReduxFramework
 */
if ( !isset( $shadowcat_option ) && file_exists( get_template_directory() . '/library/theme-option.php' ) ) {
    require_once( get_template_directory() . '/library/theme-option.php' );
}

if (class_exists('Woocommerce')) {
    /**
     * Woocommerce Setup
     */
    if ( ! function_exists( 'bk_woocommerce_setup' ) ) {
    	function bk_woocommerce_setup() {    
    		// remove_action( 'woocommerce_before_main_content', 'woocommerce_output_content_wrapper', 10);
    		// remove_action( 'woocommerce_after_main_content', 'woocommerce_output_content_wrapper_end', 10);
            add_theme_support( 'woocommerce' );
    		add_filter( 'woocommerce_show_page_title', '__return_false' );
    	}
    	add_action( 'after_setup_theme', 'bk_woocommerce_setup' );
    }
    if ( ! function_exists( 'bk_setup_woocommerce_image_dimensions' ) ) {
    	function bk_setup_woocommerce_image_dimensions() {
    		$bk_woo_catalog = array( // square_medium size
    			'width' 	=> '550',	// px
    			'height'	=> '550',	// px
    			'crop'		=> 1 		// true
    		);
    	 
    		$bk_woo_single = array(
    			'width' 	=> '550',	// px
    			'height'	=> '550',	// px
    			'crop'		=> 1 		// true
    		);
    	 
    		$bk_woo_thumbnail = array(
    			'width' 	=> '360',	// px
    			'height'	=> '360',	// px
    			'crop'		=> 0 		// false
    		);
    	 
    		// Image sizes
    		update_option( 'shop_catalog_image_size', $bk_woo_catalog ); 		// Product category thumbs
    		update_option( 'shop_single_image_size', $bk_woo_single ); 		// Single product image
    		update_option( 'shop_thumbnail_image_size', $bk_woo_thumbnail ); 	// Image gallery thumbs
    	}
    	add_action( 'after_switch_theme', 'bk_setup_woocommerce_image_dimensions' );
    }
    // Redefine woocommerce_output_related_products()
    function woocommerce_output_related_products() {
        $shadowcat_option = shadowcat_core::bk_get_global_var('shadowcat_option');
        if(isset($shadowcat_option['bk-shop-sidebar']) && ($shadowcat_option['bk-shop-sidebar'] == 'on')) {
            $args = array(
                'posts_per_page' => 3,
                'columns'        => 3,
                'orderby'        => 'rand',
              );
        }else {
            $args = array(
                'posts_per_page' => 4,
                'columns'        => 4,
                'orderby'        => 'rand',
              );
        }
        woocommerce_related_products($args, false, false); // Display 4 products in rows
    }
    
    add_filter( 'single_product_small_thumbnail_size', 'bk_single_product_small_thumbnail_size', 25, 1 );
    function bk_single_product_small_thumbnail_size( $size ) {
        $size = 'full';
        return $size;
    }
    
    add_filter('add_to_cart_fragments', 'woocommerce_header_add_to_cart_fragment');
    
    function woocommerce_header_add_to_cart_fragment( $fragments ) {
        global $woocommerce;
        ob_start();
        ?>
        <?php $link = function_exists( 'wc_get_cart_url' ) ? wc_get_cart_url() : $woocommerce->cart->get_cart_url();?>
        <a class="cart-contents" href="<?php echo esc_url($link); ?>" title="<?php esc_html_e('View your shopping cart', 'shadowcat'); ?>"><i class="fa fa-shopping-cart"></i><span><?php echo sprintf(_n('%d', '%d', $woocommerce->cart->cart_contents_count, 'shadowcat'), $woocommerce->cart->cart_contents_count);?></span></a>
        <?php
        
        $fragments['a.cart-contents'] = ob_get_clean();
        
        return $fragments;
    
    }
    register_sidebar( array(
            'name'          => esc_html__( 'Small Cart', 'shadowcat' ),
            'id'            => 'cart-1',
            'description'   => 'Do not drop any widget to this place because it will not be affected, this is just used for header Woocommerce small cart (you can enable / disable small cart ON in Theme Options -> Header Setting). If you want another widget holder, please create more by using the sidebar generator',
            'before_widget' => '<aside id="%1$s" class="widget %2$s">',
            'after_widget'  => '</aside>',
            'before_title'  => '<h3 class="widget-title">',
            'after_title'   => '</h3>',
        ) );
    $sidebars_widgets = get_option( 'sidebars_widgets' );      
    
    $woo_cart_data = get_option('widget_woocommerce_widget_cart');  
    
    $bkdata = array (
                    'title'=>'Cart',
                    'hide_if_empty'=>0
                  );
    if ($woo_cart_data != '') {
        $woo_cart_data[1] = $bkdata;
        update_option( 'widget_woocommerce_widget_cart', $woo_cart_data );   
    }else {
        $woo_cart_data[1] = $bkdata;
        add_option( 'widget_woocommerce_widget_cart', $woo_cart_data );   
    }

	//empty the default sidebar
	$sidebars_widgets['cart-1'] = array();
    $new_instance_id = 'woocommerce_widget_cart' . '-' . 1; // use ID number from new widget instance
    $sidebars_widgets['cart-1'][] = $new_instance_id;
    update_option( 'sidebars_widgets', $sidebars_widgets ); // save the amended data

}

function shadowcat_remove_pages_from_search() {
    $shadowcat_option = shadowcat_core::bk_get_global_var('shadowcat_option');
    if(($shadowcat_option != null) && isset($shadowcat_option['bk-search-result']) && ($shadowcat_option['bk-search-result'] == 'yes')) {
        global $wp_post_types;
        $wp_post_types['page']->exclude_from_search = true;
        $wp_post_types['attachment']->exclude_from_search = true;
    }
}
add_action('init', 'shadowcat_remove_pages_from_search');